//Cristian Ronzoni 3Ain
//Matrice triangolare (sono nulli tutti gli elementi superiori alla diagonale principale)
#include <iostream>
#include <iomanip>
#include <time.h>
#include <cstdlib>
#define LATO 5
using namespace std;

void triangolare(int arr[LATO] [LATO]){
	
	for(size_t i = 0; i<LATO; ++i){
		for(size_t j = 0; j<LATO; ++j){
			if(i==j || i>j){
				arr[i] [j] = rand() % ((20-3)+1)+3;
			}
			else if(i<j){
				arr[i] [j] = 0;
			}
			
		}
		
		
	}
	
}

void stampa(int arr[LATO] [LATO]){
	for(size_t i = 0; i<LATO; ++i){
		for(size_t j = 0; j<LATO; ++j){
			cout << setw(3) << arr[i] [j] << " ";
		
		}
		cout << endl;
	
	
	}
	
}


int main(void){
	
	srand(time(NULL));
	int arr[LATO] [LATO];
	triangolare(arr);
	stampa(arr);
}
